# ---------------------------------------------------------------------

# Article:       W.K. Hrdle, M. Osipenko

#		"Spatial risk premia on temperature and hedging weather exposure in electricity"

# ---------------------------------------------------------------------

# Quantlet:    	main.R, city.R, pricehat.R, pca.R, rp.R

# ---------------------------------------------------------------------

# Description: 	This is the application of functional PCA to risk premia on temperature derivatives from CMA

# ---------------------------------------------------------------------

# Usage:       	main.R calles city.R, pricehat.R, pca.R, rp.R

# ---------------------------------------------------------------------

# Inputs:      	temperature data and prices from CME in .csv 

# ---------------------------------------------------------------------

# Output:      	Plots and Estimation results shown in the paper

# ---------------------------------------------------------------------

# Example:     	-

# ---------------------------------------------------------------------

# Author:      	Maria Osipenko

# ---------------------------------------------------------------------
graphics.off()
rm(list=ls(all=TRUE))
setwd('C:/...')#your working directory

source("city.R")
setwd('C:/...')

source("pca.R")
setwd('C:/...')

source("pricehat.R")
setwd('C:/...')

source("rp.R")